# dask.array.linalg.qr

dask.array.linalg.qr(a)

  Compute the qr factorization of a matrix.

  Parameters:
    a Array
  Returns:
    q: Array, orthonormal
    r: Array, upper-triangular

  See also

  `numpy.linalg.qr`

    Equivalent NumPy Operation

  `dask.array.linalg.tsqr`

    Implementation for tall-and-skinny arrays

  `dask.array.linalg.sfqr`

    Implementation for short-and-fat arrays

  Examples

      >>> q, r = da.linalg.qr(x)